diff --git a/packages/ti/build/makerules/rules_a8.mk b/packages/ti/build/makerules/rules_a8.mk
index 0f2ed2c..dc259bd 100644
--- a/packages/ti/build/makerules/rules_a8.mk
+++ b/packages/ti/build/makerules/rules_a8.mk
@@ -66,7 +66,7 @@ ifeq ($(FORMAT),ELF)
 endif
 
 # Internal CFLAGS - normally doesn't change
-CFLAGS_INTERNAL = -c -mcpu=cortex-a8 -mtune=cortex-a8 -march=armv7-a -marm -mfpu=neon -mfloat-abi=hard -mabi=aapcs -mapcs-frame -D__ARMv7 -Wimplicit -Wall -Wunused -Wunknown-pragmas -ffunction-sections -fdata-sections -Wall -MMD -MP
+CFLAGS_INTERNAL = -c -mcpu=cortex-a8 -mtune=cortex-a8 -march=armv7-a -mthumb -mthumb-interwork -mfpu=neon -mfloat-abi=hard -mabi=aapcs -mapcs-frame -D__ARMv7 -Wimplicit -Wall -Wunused -Wunknown-pragmas -ffunction-sections -fdata-sections -Wall -MMD -MP
 ifeq ($(TREAT_WARNINGS_AS_ERROR), yes)
   CFLAGS_INTERNAL += -Werror
   LNKFLAGS_INTERNAL_COMMON += -Werror
@@ -79,7 +79,7 @@ ifeq ($(BUILD_PROFILE_$(CORE)), debug)
   LNKFLAGS_INTERNAL_BUILD_PROFILE =
 endif
 ifeq ($(BUILD_PROFILE_$(CORE)), release)
-  CFLAGS_INTERNAL += -O2 -s -DNDEBUG
+  CFLAGS_INTERNAL += -O2 -Os -s -DNDEBUG
   LNKFLAGS_INTERNAL_BUILD_PROFILE = -O2
 endif
 
